name: Gitea Actions Demo
run-name: Deploy 🚀
on:
  push:
    branches:
      - main

jobs:
  Explore-Gitea-Actions:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v6
#      - name: Setup Go
#        uses: actions/setup-go@v6
#        with:
#          go-version: '1.25'
      - name: Docker build
        run: docker build --tag git.madsky.ru/vadim/tracker .
      - name: Login to gitea
        uses: docker/login-action@v4
        with:
          registry: git.madsky.ru
          username: ${{ vars.USERNAME }}
          password: ${{ secrets.PASSWORD }}
      - name: Push Docker image
        run: |
          IMAGE_TAG="git.madsky.ru/vadim/tracker:latest"
          docker tag git.madsky.ru/vadim/tracker $IMAGE_TAG
          docker push $IMAGE_TAG
#      - name: Execute remote SSH commands using SSH key
#        uses: appleboy/ssh-action@v1
#        with:
#          host: ${{ secrets.HOST }}
#          username: ${{ secrets.USERNAME }}
#          key: ${{ secrets.KEY }}
#          port: ${{ secrets.PORT }}
#          script: whoami
      - name: List files in the repository
        run: |
          ls ${{ gitea.workspace }}
          docker run -d --name tracker -p 9999:3000 git.madsky.ru/vadim/tracker:latest
      - name: Execute a single command
        run: echo "Hello, world!"